
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>6.28. [U4.91.01] : Procedure IMPR_RESU (FORMAT = &#39;RESULTAT&#39; or &#39;ASTER&#39;) &#8212; Code-Aster v14 0.1 documentation</title>
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/app.css" type="text/css" />
    <link rel="stylesheet" type="text/css" href="../../_static/graphviz.css" />
    <link rel="stylesheet" type="text/css" href="../../_static/code_aster.css" />
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="7. U7 : Miscellaneous Procedures and macros" href="u7_toc.html" />
    <link rel="prev" title="6.27. [U4.65.12] : Operator ASSE_ELEM_SSD" href="u4.65.12.html" />

<script type="text/javascript" src="../../_static/sidebar.js"></script>

<link rel="stylesheet" href="https://use.typekit.net/isi7ftn.css">
<script>try{Typekit.load({ async: true });}catch(e){}</script>
<script type="text/javascript" src="../../_static/copybutton.js"></script>


  </head><body>
<div class="topbar">
  <!--
  <a class="brand" title="Documentation Home" href="../../index.html">
    <span id="logotext">LSST Science Pipelines</span>
  </a>
  -->
  <ul>
    <li><a href="https://www.code-aster.org/V2/spip.php?rubrique19">Code Aster PDF Docs</a></li>
  </ul>
</div>

<div class="related">
    <h3>Navigation</h3>
    <ul>
      <li class="right">
	<a href="u7_toc.html" title="7. U7 : Miscellaneous Procedures and macros">
	  next &raquo;
	</a>
      </li>
      <li class="right">
	<a href="u4.65.12.html" title="6.27. [U4.65.12] : Operator ASSE_ELEM_SSD">
	  &laquo; previous
	</a>
	 |
      </li>
      <li>
	<a href="../../index.html">Code-Aster v14 0.1 documentation</a>
	 &#187;
      </li>
      <li><a href="u4_toc.html" accesskey="U"><span class="section-number">6. </span><strong>U4</strong>: Command documentation</a> &#187;</li>
      
      <li><span class="section-number">6.28. </span><strong>[U4.91.01]</strong> : Procedure <code class="docutils literal notranslate"><span class="pre">IMPR_RESU</span> <span class="pre">(FORMAT</span> <span class="pre">=</span> <span class="pre">'RESULTAT'</span> <span class="pre">or</span> <span class="pre">'ASTER')</span></code></li> 
    </ul>
</div>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="u4-91-01-procedure-impr-resu-format-resultat-or-aster">
<span id="u4-91-01"></span><span id="index-0"></span><h1><span class="section-number">6.28. </span><strong>[U4.91.01]</strong> : Procedure <code class="docutils literal notranslate"><span class="pre">IMPR_RESU</span> <span class="pre">(FORMAT</span> <span class="pre">=</span> <span class="pre">'RESULTAT'</span> <span class="pre">or</span> <span class="pre">'ASTER')</span></code><a class="headerlink" href="#u4-91-01-procedure-impr-resu-format-resultat-or-aster" title="Permalink to this headline">¶</a></h1>
<div class="section" id="purpose">
<h2><span class="section-number">6.28.1. </span>Purpose<a class="headerlink" href="#purpose" title="Permalink to this headline">¶</a></h2>
<p>To write the results of a calculation to a file in <code class="docutils literal notranslate"><span class="pre">'RESULT'</span></code> format, or output a
mesh in <code class="docutils literal notranslate"><span class="pre">'ASTER'</span></code> format.</p>
<p>This procedure allows you to output:</p>
<ul class="simple">
<li><p>a mesh</p></li>
<li><p>nodal fields (displacements, temperatures, eigenmodes, static modes, etc.)</p></li>
<li><p>element fields at Gauss points (or extrapolated to nodes) (e.g., stress,
generalized forces, internal variables, etc.)</p></li>
</ul>
<p>The procedure <code class="docutils literal notranslate"><span class="pre">IMPR_RESU</span></code> also allows you to write a mesh and/or results to a file
that can be used by graphical post-processors for visualization (see <strong>[U7.05.01]</strong>
for I-DEAS format, <strong>[U7.05.21]</strong> for MED format, and <strong>[U7.05.32]</strong>  for GMSH format).</p>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>All <code class="docutils literal notranslate"><span class="pre">results</span></code> will not be output by default - you can only output fields and mesh entities
that you have selected earlier and request to be written to the result file.</p>
</div>
<p>For outputs in <code class="docutils literal notranslate"><span class="pre">RESULT</span></code> format, it is possible to select the topological entities (node groups
and element groups) for which you want to save the results.  You can also reduce the
amount of printed information by asking for only the output of certain components, of values
that lie in an interval (selected by the user), or extreme values.  You can combine the three:
for example, obtain the maximum value of a selected component on a particular topological
entity and in an interval of values chosen by the user.</p>
<div class="admonition important">
<p class="admonition-title">Important</p>
<p>The <code class="docutils literal notranslate"><span class="pre">RESULT</span></code> format should not be used to store or exchange results as the
format is used internally in <code class="docutils literal notranslate"><span class="pre">Aster</span></code> and is evolving continuously.</p>
</div>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">6.28.2. </span>Syntax<a class="headerlink" href="#syntax" title="Permalink to this headline">¶</a></h2>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>IMPR_RESU (

  ◊ MODELE = model,                                   [modele]
  ◊ UNITE = unit,                                     [I]
  ◊ FORMAT = / &#39;RESULTAT&#39;,
             / &#39;ASTER&#39;,
  ◊ PROC0 = / &#39;OUI&#39;,                                  [DEFAULT]
            / &#39;NON&#39;,
  ◊ INFO = / 1,                                       [DEFAULT]
           / 2,

  / RESU = ( _F(

    # Syntax of procedure IMPR_RESU for &#39;RESULT&#39; format
    ♦ | MAILLAGE = mesh,                              [maillage]
      | / CHAM_GD = CH_GD,                            [cham_gd]
        / RESULTAT = result,                          [resultat]

        # Extraction of a scalar field (magnitude) from results
        ◊ / TOUT_CHAM = / &#39;OUI&#39;,                      [DEFAULT]
                        / &#39;NON&#39;,
          / NOM_CHAM = list_of_field_names,           [l_K16]

        ◊ / TOUT_ORDRE = &#39;OUI&#39;,                       [DEFAULT]
          / NUME_ORDRE = LORDRE,                      [l_I]
          / LIST_ORDRE = LENTI,                       [listis]
          / NUME_MODE = LMODE,                        [l_I]
          / NOEUD_CMP = LNOECMP,                      [l_K16]
          / NOM_CAS = NCAS,                           [l_K16]
          / ANGLE = LANGL,                            [l_R]
          / FREQ = LFREQ,                             [l_R]
          / LIST_FREQ = LREEL,                        [listr8]
          / INST = LINST,                             [l_R]
          / LIST_INST = LREEL,                        [listr8]

          ◊ | PRECISION = / PREC,                     [R]
                          / 1.0D-3,                   [DEFAULT]
            | CRITERE = / &#39;RELATIF&#39;,                  [DEFAULT]
                        / &#39;ABSOLU&#39;,

        # Parameters
        ◊ / TOUT_PARA = / &#39;OUI&#39;,
                        / &#39;NON&#39;,                      [DEFAULT]
          / NOM_PARA = L_NOMPARA,                     [l_K16]

        ◊ FORM_TABL = / &#39;OUI&#39;,
                      / &#39;EXCEL&#39;,
                      / &#39;NON&#39;,                        [DEFAULT]

      # Selection of components
      ◊ / TOUT_CMP = &#39;OUI&#39;,                           [DEFAULT]
        / NOM_CMP = L_NOMCMP,                         [l_K8]

      # Selection of the topological entities
      ◊ / TOUT = &#39;OUI&#39;,                               [DEFAULT]
        / | GROUP_NO = L_GRNO,                        [l_gr_noeud]
          | GROUP_MA = L_GRMA,                        [l_gr_maille]

      # Selection based on values
      ◊ VALE_MAX = / &#39;OUI&#39;,
                   / &#39;NON&#39;,                           [DEFAULT]
      ◊ VALE_MIN = / &#39;OUI&#39;,
                   / &#39;NON&#39;,                           [DEFAULT]
      ◊ BORNE_SUP = VSUP,                             [R]
      ◊ BORNE_INF = VINF,                             [R]

      # Printing of the coordinates
      ◊ IMPR_COOR = / &#39;OUI&#39;,
                    / &#39;NON&#39;,                          [DEFAULT]

      # Choice of the format of writing of the actual values
      ◊ FORMAT_R = / FORM,
                   / &#39;1PE21.14&#39;,                      [DEFAULT]
      ◊ SOUS_TITRE = ST,                              [Kn]

    # Syntax of procedure IMPR_RESU for &#39;ASTER&#39; format
    ♦ | MAILLAGE = mesg,                            / [maillage]
                                                    / [squelette]
      ◊ SOUS_TITRE = ST,                              [Kn]
  )),
)
</pre></div>
</div>
</div>
<div class="section" id="typography-in-the-impr-resu-documentation">
<h2><span class="section-number">6.28.3. </span>Typography in the <code class="docutils literal notranslate"><span class="pre">IMPR_RESU</span></code> documentation<a class="headerlink" href="#typography-in-the-impr-resu-documentation" title="Permalink to this headline">¶</a></h2>
<p>For better understanding of the <code class="docutils literal notranslate"><span class="pre">IMPR_RESU</span></code> documentation, it should be noted that the
term <span class="blue">RESULTAT</span> (<span class="green">RESULT</span>) in <code class="docutils literal notranslate"><span class="pre">Code_Aster</span></code> can refer to three rather different
quantities:</p>
<ul class="simple">
<li><p>a type of concept,</p></li>
<li><p>a type of file,</p></li>
<li><p>a format for writing.</p></li>
</ul>
<p>On one hand, <span class="blue">result</span> indicates the quantities produced by an <code class="docutils literal notranslate"><span class="pre">Aster</span></code> calculation operator
that produces several fields (calculation of time-evolution, calculation of eigenmodes, etc.).
These data (results) are contained in an <code class="docutils literal notranslate"><span class="pre">Aster</span></code> data structure of generic type called
<span class="blue">result</span>.  This generic type has sub-types (<code class="docutils literal notranslate"><span class="pre">mode_meca</span></code>, <code class="docutils literal notranslate"><span class="pre">evol_elas</span></code> etc.) for
which the storage mode differs somewhat. A concept of the <span class="blue">result</span> has only one sub-type.
In the documentation, the names of concepts type are written in lower-case letters.</p>
<p>On the other hand, results intended for output/printing, in particular those resulting from
<code class="docutils literal notranslate"><span class="pre">IMPR_RESU</span></code>, are output to a file of type <span class="blue">RESULT</span> (associates with unit 8, type <code class="docutils literal notranslate"><span class="pre">resu</span></code>
in <code class="docutils literal notranslate"><span class="pre">astk</span></code>). The format of printing associated with this file is also called <span class="blue">RESULT</span>.</p>
<p>In summary, the typography used is:</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 29%" />
<col style="width: 71%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p>result</p></td>
<td><p>data from system solution</p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">result</span></code></p></td>
<td><p>generic designation of the concept type
(data structure) which contains the result</p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">evol_ther</span></code>, <code class="docutils literal notranslate"><span class="pre">mode_meca</span></code></p></td>
<td><p>name of a sub-type of <code class="docutils literal notranslate"><span class="pre">result</span></code></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">FILE</span></code></p></td>
<td><p>(without quotes) designation of the file which contains the results,
independent of the format of its contents</p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">'RESULTAT'</span></code></p></td>
<td><p>(with quotes) designation of the <code class="docutils literal notranslate"><span class="pre">Aster</span></code> format file which contains
the results</p></td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="operands-format-proc0-unite-and-info">
<h2><span class="section-number">6.28.4. </span>Operands <code class="docutils literal notranslate"><span class="pre">FORMAT</span></code>, <code class="docutils literal notranslate"><span class="pre">PROC0</span></code>, <code class="docutils literal notranslate"><span class="pre">UNITE</span></code> and <code class="docutils literal notranslate"><span class="pre">INFO</span></code><a class="headerlink" href="#operands-format-proc0-unite-and-info" title="Permalink to this headline">¶</a></h2>
<p>The procedure <code class="docutils literal notranslate"><span class="pre">IMPR_RESU</span></code> allows you to write a mesh and/or values of results in various formats
to facilitate graphical visualization (<strong>[U7.05.01]</strong>, <strong>[U7.05.11]</strong>, <strong>[U7.05.21]</strong> and <strong>[U7.05.31]</strong>).</p>
<ul class="simple">
<li><p>The operand <code class="docutils literal notranslate"><span class="pre">FORMAT</span></code> can be used to specify the format of printing of a result.  The default format
by default is <code class="docutils literal notranslate"><span class="pre">MED</span></code> (see <strong>[U7.05.21]</strong>).  The <code class="docutils literal notranslate"><span class="pre">FORMAT</span></code> operand also  makes it possible to print
the mesh and results in the form of a listing (<code class="docutils literal notranslate"><span class="pre">'ASTER'</span></code> option).</p></li>
<li><p>The operand <code class="docutils literal notranslate"><span class="pre">PROC0</span></code>,  whose default value is <code class="docutils literal notranslate"><span class="pre">'OUI'</span></code> (<span class="green">YES</span>), allows the user to
restrict printing to the rank 0 processor (in a multiprocessor run).
If <code class="docutils literal notranslate"><span class="pre">'NON'</span></code> is chosen, printing will be carried out on all processors.</p></li>
<li><p>The operand <code class="docutils literal notranslate"><span class="pre">UNITE</span></code> is used to specify in which file the data will be written (see command
<code class="docutils literal notranslate"><span class="pre">DEFI_FICHIER</span></code> (<span class="green">DEFINE_FILE</span>).  By default, the logical unit is 8 for <code class="docutils literal notranslate"><span class="pre">'RESULTAT'</span></code> and
26 for <code class="docutils literal notranslate"><span class="pre">'ASTER'</span></code>.</p></li>
<li><p>The keyword <code class="docutils literal notranslate"><span class="pre">INFO</span></code>, when set to 2, makes it possible to obtain information on the
printed output.</p></li>
</ul>
</div>
<div class="section" id="keyword-resu">
<h2><span class="section-number">6.28.5. </span>Keyword <code class="docutils literal notranslate"><span class="pre">RESU</span></code><a class="headerlink" href="#keyword-resu" title="Permalink to this headline">¶</a></h2>
<p>This keyword factor makes it possible to specify the results to print and the format according to which
one wants to print them.</p>
</div>
<div class="section" id="operands-cham-gd-and-resultat">
<h2><span class="section-number">6.28.6. </span>Operands <code class="docutils literal notranslate"><span class="pre">CHAM_GD</span></code> and <code class="docutils literal notranslate"><span class="pre">RESULTAT</span></code><a class="headerlink" href="#operands-cham-gd-and-resultat" title="Permalink to this headline">¶</a></h2>
<p>The values of computed fields are stored in data structures called <span class="blue">magnitude-fields</span>. These
magnitude-fields can be directly accessible (concept <code class="docutils literal notranslate"><span class="pre">cham_gd</span></code> - short for <code class="docutils literal notranslate"><span class="pre">champs_de_grandeur</span></code>,
<span class="green">field_of_magnitude</span>) or to be in a data structure containing several magnitude-fields (concept
<code class="docutils literal notranslate"><span class="pre">resultat</span></code>).</p>
<ul>
<li><p>a magnitude-field is a data structure which makes it possible to store fields defined on the nodes
(<code class="docutils literal notranslate"><span class="pre">cham_no_*</span></code>) or of fields defined on elements (<code class="docutils literal notranslate"><span class="pre">cham_elem_*</span></code>). For element fields,
we can distinguish between fields defined on element nodes and the fields defined at Gauss points</p></li>
<li><p>a <code class="docutils literal notranslate"><span class="pre">resultat</span></code> concept is composed of one or more magnitude-fields.</p>
<p>For example, at each step of
a calculation, we store the displacement magnitude-field in the <code class="docutils literal notranslate"><span class="pre">result</span></code> data structure.
The data structures can then be indexed by the list of time-points of the calculation
and thus allow access to all the computed fields (displacements, stresses, strains, …) at
each time point.</p>
<p>In this case, one accesses a magnitude-field by specifying the value of an access variable (sequence
number, time, frequency, mode number, …) and a field name (<code class="docutils literal notranslate"><span class="pre">'DEPL'</span></code>, <code class="docutils literal notranslate"><span class="pre">'SIGM_ELNO'</span></code>, …).
There are several types of <code class="docutils literal notranslate"><span class="pre">resultat</span></code> concept: <code class="docutils literal notranslate"><span class="pre">evol_elas</span></code>, <code class="docutils literal notranslate"><span class="pre">evol_noli</span></code>, <code class="docutils literal notranslate"><span class="pre">mode_meca</span></code>, etc.
To each corresponds a list of fields and a list of allowable access variables.</p>
<p>On the other hand, a <code class="docutils literal notranslate"><span class="pre">resultat</span></code> concept is also associated with a certain number of complementary
results (e.g. generalized mass or modal participation factors in a modal calculation : <code class="docutils literal notranslate"><span class="pre">resultat</span></code>
concept of the <code class="docutils literal notranslate"><span class="pre">mode_meca</span></code> type), which are different for each value of the access variable.
These complementary results are called <span class="blue">parameters</span>.</p>
<p>Taking into account the <code class="docutils literal notranslate"><span class="pre">resultat</span></code> data structure, it can be seen that the printing is possible
for only those magnitude-fields that are available, supplemented by specific requirements:</p>
<ul class="simple">
<li><p>information on the data structure (for example: list of the access variables, list of
fields that have actually been computed, etc.)</p></li>
<li><p>selective access to a magnitude-field (for example, printing of displacement fields at t=15).</p></li>
</ul>
<p>The operand <code class="docutils literal notranslate"><span class="pre">RESULTAT</span></code> makes it possible to print the fields contained in a <code class="docutils literal notranslate"><span class="pre">resultat</span></code> concept.
For example, we can choose to print only certain fields (see keyword <code class="docutils literal notranslate"><span class="pre">NOM_CHAM</span></code>) on certain
components at certain nodes (see <code class="docutils literal notranslate"><span class="pre">NOEUD_CMP</span></code>).</p>
</li>
</ul>
</div>
<div class="section" id="extraction-of-a-magnitude-field">
<h2><span class="section-number">6.28.7. </span>Extraction of a magnitude-field<a class="headerlink" href="#extraction-of-a-magnitude-field" title="Permalink to this headline">¶</a></h2>
<div class="section" id="operands-tout-cham-nom-cham">
<h3><span class="section-number">6.28.7.1. </span>Operands <code class="docutils literal notranslate"><span class="pre">TOUT_CHAM</span></code> / <code class="docutils literal notranslate"><span class="pre">NOM_CHAM</span></code><a class="headerlink" href="#operands-tout-cham-nom-cham" title="Permalink to this headline">¶</a></h3>
<p>See document <strong>[U4.71.00]</strong>.</p>
</div>
<div class="section" id="other-operands">
<h3><span class="section-number">6.28.7.2. </span>Other operands<a class="headerlink" href="#other-operands" title="Permalink to this headline">¶</a></h3>
<p>See document <strong>[U4.71.00]</strong> for the remaining operands <code class="docutils literal notranslate"><span class="pre">TOUT_ORDRE</span></code> / <code class="docutils literal notranslate"><span class="pre">NUME_ORDRE</span></code> /
<code class="docutils literal notranslate"><span class="pre">LIST_ORDRE</span></code> / <code class="docutils literal notranslate"><span class="pre">NUME_MODE</span></code> / <code class="docutils literal notranslate"><span class="pre">INST</span></code> / <code class="docutils literal notranslate"><span class="pre">LIST_INST</span></code> / <code class="docutils literal notranslate"><span class="pre">FREQ</span></code> / <code class="docutils literal notranslate"><span class="pre">LIST_FREQ</span></code> /
<code class="docutils literal notranslate"><span class="pre">NOEUD_CMP</span></code> / <code class="docutils literal notranslate"><span class="pre">NOM_CAS</span></code> / <code class="docutils literal notranslate"><span class="pre">ANGLE</span></code> / <code class="docutils literal notranslate"><span class="pre">PRECISION</span></code> / <code class="docutils literal notranslate"><span class="pre">CRITERE</span></code></p>
</div>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">6.28.8. </span>Parameters<a class="headerlink" href="#parameters" title="Permalink to this headline">¶</a></h2>
<div class="section" id="operand-tout-para">
<h3><span class="section-number">6.28.8.1. </span>Operand <code class="docutils literal notranslate"><span class="pre">TOUT_PARA</span></code><a class="headerlink" href="#operand-tout-para" title="Permalink to this headline">¶</a></h3>
<p>This keyword (<span class="green">ALL_PARAMETERS</span>) indicates whether or not we want to print all the values of
the parameters attached to the <code class="docutils literal notranslate"><span class="pre">resultat</span></code> concept.</p>
<div class="admonition-example admonition">
<p class="admonition-title">Example</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">IMPR_RESU</span> <span class="p">(</span><span class="n">RESU</span> <span class="o">=</span> <span class="p">(</span><span class="n">_F</span><span class="p">(</span> <span class="n">RESULTAT</span>   <span class="o">=</span> <span class="n">result</span><span class="p">,</span>
                       <span class="n">TOUT_PARA</span>  <span class="o">=</span> <span class="s1">&#39;OUI&#39;</span><span class="p">,</span>
                       <span class="n">NUME_ORDRE</span> <span class="o">=</span> <span class="mi">3</span>
                     <span class="p">)))</span>
</pre></div>
</div>
<p>This prints all the parameters for the third step of the computation in the <code class="docutils literal notranslate"><span class="pre">result</span></code> file.
If the <code class="docutils literal notranslate"><span class="pre">result</span></code> is of type <code class="docutils literal notranslate"><span class="pre">mode_meca</span></code>, the third mode is printed:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">NOM_MODE</span>            <span class="mi">3</span>
<span class="n">FREQ</span>                <span class="mf">1.09787E+4</span>
<span class="n">OMEGA2</span>              <span class="mf">4.75843E+09</span>
<span class="n">AMOR_REDUIT</span>         <span class="mf">0.00000E+00</span>
<span class="n">ERROR</span>               <span class="mf">2.76853E-10</span>
<span class="n">MASS_GENE</span>           <span class="mf">1.50009E-07</span>
<span class="n">RIGI_GENE</span>           <span class="mf">7.13806E+02</span>
<span class="o">.....</span>               <span class="o">.....</span>
<span class="n">NORM</span>                <span class="n">SANS_CMP</span><span class="p">:</span> <span class="n">LAGR</span>
</pre></div>
</div>
</div>
</div>
<div class="section" id="operand-nom-para">
<h3><span class="section-number">6.28.8.2. </span>Operand <code class="docutils literal notranslate"><span class="pre">NOM_PARA</span></code><a class="headerlink" href="#operand-nom-para" title="Permalink to this headline">¶</a></h3>
<p>This keyword (<span class="green">NAMED_PARAMETERS</span>) makes it possible to choose a list of parameter names among the
possible ones.</p>
<p>Keywords <code class="docutils literal notranslate"><span class="pre">TOUT_PARA</span></code> and <code class="docutils literal notranslate"><span class="pre">NOM_PARA</span></code> cannot be used simultaneously.</p>
<div class="admonition-example admonition">
<p class="admonition-title">Example</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">IMPR_RESU</span> <span class="p">(</span><span class="n">RESU</span> <span class="o">=</span> <span class="p">(</span><span class="n">_F</span><span class="p">(</span> <span class="n">RESULTAT</span>   <span class="o">=</span> <span class="n">result</span><span class="p">,</span>
                       <span class="n">NOM_PARA</span>   <span class="o">=</span> <span class="p">(</span><span class="s1">&#39;NORME&#39;</span><span class="p">),</span>
                       <span class="n">NUME_ORDRE</span> <span class="o">=</span> <span class="mi">3</span>
                     <span class="p">)))</span>
</pre></div>
</div>
<p>The value of the parameter <code class="docutils literal notranslate"><span class="pre">'NORME'</span></code> for the third step of the calculation is
printed to the result file.  For a <code class="docutils literal notranslate"><span class="pre">result</span></code> of type <code class="docutils literal notranslate"><span class="pre">mode_meca</span></code>, the file
will contain only</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">NORM</span>                <span class="n">SANS_CMP</span><span class="p">:</span> <span class="n">LAGR</span>
</pre></div>
</div>
</div>
</div>
<div class="section" id="operand-form-tabl">
<h3><span class="section-number">6.28.8.3. </span>Operand <code class="docutils literal notranslate"><span class="pre">FORM_TABL</span></code><a class="headerlink" href="#operand-form-tabl" title="Permalink to this headline">¶</a></h3>
<p>This keyword (<span class="green">TABLE_FORMAT</span>) makes it possible to choose the format used to print the values
of the parameters. This may be in the form of a table whose lines are limited to 80 characters
(<code class="docutils literal notranslate"><span class="pre">FORM_TABL</span> <span class="pre">=</span> <span class="pre">'OUI'</span></code>). Alternatively, the data may be printed as an array with lines allowed
to reach 2000 characters (<code class="docutils literal notranslate"><span class="pre">FORM_TABL</span> <span class="pre">=</span> <span class="pre">'EXCEL'</span></code>), or be printed in the form of a list
(one parameter per line) (<code class="docutils literal notranslate"><span class="pre">FORM_TABL</span> <span class="pre">=</span> <span class="pre">'NOT'</span></code>).</p>
<p>By default, the parameters are printed in the form of a table.</p>
<div class="admonition-example-1 admonition">
<p class="admonition-title">Example 1</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">FORM_TABL</span> <span class="o">=</span> <span class="s1">&#39;OUI&#39;</span>
</pre></div>
</div>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">NUME_ORDRE</span>    <span class="n">NUME_MODE</span>       <span class="n">ITER_QR</span>              <span class="n">ITER_BATHE</span>
       <span class="n">FREQ</span>                <span class="n">OMEGA2</span>           <span class="n">AMOR_REDUIT</span>
       <span class="n">MASS_GENE</span>        <span class="n">RIGI_GENE</span>        <span class="n">AMOR_GENE</span>
       <span class="n">MASS_EFFE_DY</span>     <span class="n">MASS_EFFE_DZ</span>     <span class="n">FACT_PARTICI_DX</span>
       <span class="n">FACT_PARTICI_DZ</span>  <span class="n">MASS_EFFE_UN_DX</span>  <span class="n">MASS_EFFE_UN_DY</span>
       <span class="n">NORME</span>            <span class="n">METHODE</span>
</pre></div>
</div>
</div>
<div class="admonition-example-2 admonition">
<p class="admonition-title">Example 2</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">FORM_TABL</span> <span class="o">=</span> <span class="s1">&#39;EXCEL&#39;</span>
</pre></div>
</div>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">NUME_ORDRE</span>    <span class="n">NUME_MODE</span>       <span class="n">ITER_QR</span>              <span class="n">ITER_BATHE</span>  <span class="o">...</span>
</pre></div>
</div>
</div>
</div>
</div>
<div class="section" id="selecting-components">
<h2><span class="section-number">6.28.9. </span>Selecting components<a class="headerlink" href="#selecting-components" title="Permalink to this headline">¶</a></h2>
<p>Another way of reducing the volume output is to print values of selected
components (for example, only the x-direction displacement : <code class="docutils literal notranslate"><span class="pre">DX</span></code>).</p>
<div class="admonition warning">
<p class="admonition-title">Warning</p>
<p>The selection of components does not function for fields with subgrid points.</p>
</div>
<div class="section" id="operand-tout-cmp">
<h3><span class="section-number">6.28.9.1. </span>Operand <code class="docutils literal notranslate"><span class="pre">TOUT_CMP</span></code><a class="headerlink" href="#operand-tout-cmp" title="Permalink to this headline">¶</a></h3>
<p>This keyword (<span class="green">ALL_COMPONENTS</span>) allows the user to print all the components of a field.</p>
</div>
<div class="section" id="operand-nom-cmp">
<h3><span class="section-number">6.28.9.2. </span>Operand <code class="docutils literal notranslate"><span class="pre">NOM_CMP</span></code><a class="headerlink" href="#operand-nom-cmp" title="Permalink to this headline">¶</a></h3>
<p>This keyword (<span class="green">NAMED_COMPONENTS</span>) makes it possible to choose the list of the components of <code class="docutils literal notranslate"><span class="pre">cham_gd</span></code> or of all
the fields of the <code class="docutils literal notranslate"><span class="pre">result</span></code> concept which one wishes to print.
These components are described in the specific documentation of the elements.</p>
<div class="admonition warning">
<p class="admonition-title">Warning</p>
<p>Keywords <code class="docutils literal notranslate"><span class="pre">TOUT_CMP</span></code> and <code class="docutils literal notranslate"><span class="pre">NOM_CMP</span></code> cannot be used simultaneously.</p>
</div>
</div>
</div>
<div class="section" id="selection-of-topological-entities">
<h2><span class="section-number">6.28.10. </span>Selection of topological entities<a class="headerlink" href="#selection-of-topological-entities" title="Permalink to this headline">¶</a></h2>
<p>In order to reduce the volume of output, it is sometimes necessary to print only part of the
result.   With this intention, one can print a nodal field only for certain nodes, or an element
field only for selected elements.</p>
<div class="admonition warning">
<p class="admonition-title">Warning</p>
<p>The selection of the topological entities does not function for the fields with subgrid points.</p>
</div>
<div class="section" id="operand-tout">
<h3><span class="section-number">6.28.10.1. </span>Operand <code class="docutils literal notranslate"><span class="pre">TOUT</span></code><a class="headerlink" href="#operand-tout" title="Permalink to this headline">¶</a></h3>
<p>This keyword (<span class="green">ALL</span>) indicates that one wishes to print the field on the
entire structure (all the nodes for a nodal field, all elements for an element field).</p>
</div>
<div class="section" id="operand-group-no">
<h3><span class="section-number">6.28.10.2. </span>Operand <code class="docutils literal notranslate"><span class="pre">GROUP_NO</span></code><a class="headerlink" href="#operand-group-no" title="Permalink to this headline">¶</a></h3>
<p>This keyword (<span class="green">NODE_GROUP</span>) allows the user to indicate the list of node groups for
which the data of <code class="docutils literal notranslate"><span class="pre">cham_no</span></code> (<span class="green">nodal_field</span>) type are to be printed.</p>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>If this keyword is used to print a <code class="docutils literal notranslate"><span class="pre">cham_elem</span></code> (<span class="green">element_field</span>), it is ignored,
and the <code class="docutils literal notranslate"><span class="pre">cham_elem</span></code> is printed for all the elements (if that option has been specified in addition).</p>
</div>
</div>
<div class="section" id="operand-group-ma">
<h3><span class="section-number">6.28.10.3. </span>Operand <code class="docutils literal notranslate"><span class="pre">GROUP_MA</span></code><a class="headerlink" href="#operand-group-ma" title="Permalink to this headline">¶</a></h3>
<p>This keyword (<span class="green">ELEMENT_GROUP</span>) makes it possible to indicate the list of element groups
for which a <code class="docutils literal notranslate"><span class="pre">cham_elem</span></code> (<span class="green">element_field</span>) is to be printed.  For a <code class="docutils literal notranslate"><span class="pre">cham_no</span></code>
(green:<cite>nodal_field</cite>), it makes it possible to indicate a list of nodes (vertices of the
elements for which one wishes to print the nodal field).</p>
</div>
<div class="section" id="selection-based-on-values">
<h3><span class="section-number">6.28.10.4. </span>Selection based on values<a class="headerlink" href="#selection-based-on-values" title="Permalink to this headline">¶</a></h3>
<p>It is also interesting to print only the extreme values of all or certain components, on all or part of
the structure.</p>
</div>
<div class="section" id="operand-vale-max">
<h3><span class="section-number">6.28.10.5. </span>Operand <code class="docutils literal notranslate"><span class="pre">VALE_MAX</span></code><a class="headerlink" href="#operand-vale-max" title="Permalink to this headline">¶</a></h3>
<p>This keyword (<span class="green">MAX_VALUE</span>) indicates that one wishes to print the maximum value of each
component of the field, possibly in a given interval specified by the arguments
<code class="docutils literal notranslate"><span class="pre">BORNE_SUP</span></code> and/or <code class="docutils literal notranslate"><span class="pre">BORNE_INF</span></code>.</p>
</div>
<div class="section" id="operand-vale-min">
<h3><span class="section-number">6.28.10.6. </span>Operand <code class="docutils literal notranslate"><span class="pre">VALE_MIN</span></code><a class="headerlink" href="#operand-vale-min" title="Permalink to this headline">¶</a></h3>
<p>This keyword (<span class="green">MIN_VALUE</span>) indicates that one wishes to print the minimum value of each
component of  the field, possibly in a given interval specified by the arguments
<code class="docutils literal notranslate"><span class="pre">BORNE_SUP</span></code> and/or <code class="docutils literal notranslate"><span class="pre">BORNE_INF</span></code>.</p>
</div>
<div class="section" id="operand-borne-sup">
<h3><span class="section-number">6.28.10.7. </span>Operand <code class="docutils literal notranslate"><span class="pre">BORNE_SUP</span></code><a class="headerlink" href="#operand-borne-sup" title="Permalink to this headline">¶</a></h3>
<p>This keyword (<span class="green">UPPER_LIMIT</span>) indicates the upper limit of the interval on which one
wishes to print the field. One prints all the values of the field lower than this upper limit.</p>
</div>
<div class="section" id="operand-borne-inf">
<h3><span class="section-number">6.28.10.8. </span>Operand <code class="docutils literal notranslate"><span class="pre">BORNE_INF</span></code><a class="headerlink" href="#operand-borne-inf" title="Permalink to this headline">¶</a></h3>
<p>This keyword (<span class="green">LOWER_LIMIT</span>) indicates the lower limit of the interval on which one wishes
to print the field. One prints the values of the field higher on this lower terminal.</p>
</div>
</div>
<div class="section" id="printing-the-coordinates-operand-impr-coor">
<h2><span class="section-number">6.28.11. </span>Printing the coordinates: operand <code class="docutils literal notranslate"><span class="pre">IMPR_COOR</span></code><a class="headerlink" href="#printing-the-coordinates-operand-impr-coor" title="Permalink to this headline">¶</a></h2>
<p>This keyword (<span class="green">PRINT_COORDINATES</span>) makes it possible to specify if one wishes to print the
coordinates of a node at the time of the writing of a nodal field (<code class="docutils literal notranslate"><span class="pre">cham_no</span></code>) in
the <code class="docutils literal notranslate"><span class="pre">'RESULT'</span></code> format.</p>
</div>
<div class="section" id="operand-format-r">
<h2><span class="section-number">6.28.12. </span>Operand <code class="docutils literal notranslate"><span class="pre">FORMAT_R</span></code><a class="headerlink" href="#operand-format-r" title="Permalink to this headline">¶</a></h2>
<p>This operand (<span class="green">FORMAT_RESULTS</span>) allows the user to specify the format of printing of the
actual values to the <code class="docutils literal notranslate"><span class="pre">result</span></code> file in the <code class="docutils literal notranslate"><span class="pre">'RESULTAT'</span></code> format.</p>
<div class="admonition warning">
<p class="admonition-title">Warning</p>
<p>The choice of the print format for the actual values does not function for the fields
with subgrid points.</p>
</div>
</div>
<div class="section" id="note-concerning-fields-with-subgrid-points">
<h2><span class="section-number">6.28.13. </span>Note concerning fields with subgrid points<a class="headerlink" href="#note-concerning-fields-with-subgrid-points" title="Permalink to this headline">¶</a></h2>
<p>In <code class="docutils literal notranslate"><span class="pre">Aster</span></code>, there exist <code class="docutils literal notranslate"><span class="pre">cham_elem</span></code> with subgrid points (in addition <code class="docutils literal notranslate"><span class="pre">cham_elem</span></code> with nodes and
<code class="docutils literal notranslate"><span class="pre">cham_elem</span></code> with Gauss points).  When using the format <code class="docutils literal notranslate"><span class="pre">'RESULTAT'</span></code>, <code class="docutils literal notranslate"><span class="pre">IMPR_RESU</span></code> allows the
printing of <code class="docutils literal notranslate"><span class="pre">cham_elem</span></code> with subgrid points.</p>
<p>If same <code class="docutils literal notranslate"><span class="pre">cham_elem</span></code> has subgrid  points on certain elements and not on others, the printing of
<code class="docutils literal notranslate"><span class="pre">cham_elem</span></code> will be done in two steps:</p>
<ul class="simple">
<li><p>initially print <code class="docutils literal notranslate"><span class="pre">cham_elem</span></code> on all the elements on which there are no subgrid points,</p></li>
<li><p>then print <code class="docutils literal notranslate"><span class="pre">cham_elem</span></code> on all the elements on which there are subgrid points.</p></li>
</ul>
<p>A specific format is used for each of these writes. The printing of the subgrid point fields
is <code class="docutils literal notranslate"><span class="pre">basic</span></code>: one prints all the geometrical entities systematically, all the components and all
the subgrid point (a line is not a subgrid point).  Real numbers are always printed with 10 significant
digits.</p>
<p>A trick to print more significant digits for a field at subgrid points consists in calling the command
<code class="docutils literal notranslate"><span class="pre">POST_CHAMP</span></code> to extract the field on a particular subgrid point, and then to print the new
data structure with the keyword <code class="docutils literal notranslate"><span class="pre">FORMAT_R</span></code>.</p>
</div>
<div class="section" id="printing-the-mesh-operands-maillage-modele">
<h2><span class="section-number">6.28.14. </span>Printing the mesh: operands <code class="docutils literal notranslate"><span class="pre">MAILLAGE</span></code> / <code class="docutils literal notranslate"><span class="pre">MODELE</span></code><a class="headerlink" href="#printing-the-mesh-operands-maillage-modele" title="Permalink to this headline">¶</a></h2>
<p>This argument (<span class="green">MESH/MODEL</span>) makes it possible to print the mesh with <code class="docutils literal notranslate"><span class="pre">FORMAT</span></code> = <code class="docutils literal notranslate"><span class="pre">'ASTER'</span></code> or <code class="docutils literal notranslate"><span class="pre">'RESULTAT'</span></code>.  The
format used for <code class="docutils literal notranslate"><span class="pre">LIRE_MAILLAGE</span></code> <a class="reference internal" href="u4.21.01.html#u4-21-01"><span class="std std-ref">[U4.21.01]</span></a> and defined in <a class="reference internal" href="u3.01.00.html#u3-01-00"><span class="std std-ref">[U3.01.00]</span></a> is used. By default, one
prints all the mesh.</p>
<p>The concept of type model is optional in the majority of the print commands. However, it can be
used in the case of printing a mesh with the formats <code class="docutils literal notranslate"><span class="pre">'ASTER'</span></code> or <code class="docutils literal notranslate"><span class="pre">'RESULTAT'</span></code> to print only the
part of the mesh whose elements gave been assigned values in the model.</p>
<p>If one chooses format <code class="docutils literal notranslate"><span class="pre">'ASTER'</span></code>, the mesh is written in a file of type <code class="docutils literal notranslate"><span class="pre">.mail</span></code> which can then
be read again by <code class="docutils literal notranslate"><span class="pre">LIRE_MAILLAGE</span></code>.  If one chooses format <code class="docutils literal notranslate"><span class="pre">'RESULTAT'</span></code>, the mesh is written, by
default, in the file <code class="docutils literal notranslate"><span class="pre">.resu</span></code> and cannot be reread by <code class="docutils literal notranslate"><span class="pre">LIRE_MAILLAGE</span></code> because the <code class="docutils literal notranslate"><span class="pre">.resu</span></code> file
also contains titles, subtitles and possibly other information.</p>
</div>
<div class="section" id="operand-sous-titre">
<h2><span class="section-number">6.28.15. </span>Operand <code class="docutils literal notranslate"><span class="pre">SOUS_TITRE</span></code><a class="headerlink" href="#operand-sous-titre" title="Permalink to this headline">¶</a></h2>
<p>This argument (<span class="green">SUB_TITLE</span>) makes it possible to print a subtitle. For more detail please consult
<strong>[U4.03.01]</strong>.</p>
<p>The default value of <code class="docutils literal notranslate"><span class="pre">SOUS_TITRE</span></code> is:</p>
<ul>
<li><p>for a magnitude-field (<code class="docutils literal notranslate"><span class="pre">cham_gd</span></code>):</p>
<ul>
<li><p>for a nodal field (<code class="docutils literal notranslate"><span class="pre">cham_no</span></code>):</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">SOUS_TITRE</span> <span class="o">=</span> <span class="p">(</span><span class="s1">&#39;CHAMP AUX NOEUDS&#39;</span><span class="p">)</span>  <span class="c1"># &#39;NODAL FIELD&#39;</span>
</pre></div>
</div>
</li>
<li><p>for an element field (<code class="docutils literal notranslate"><span class="pre">cham_elem</span></code>):</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">SOUS_TITRE</span> <span class="o">=</span> <span class="p">(</span><span class="s1">&#39;CHAMP PAR ELEMENT &amp;LOC(cham_elem)&#39;</span><span class="p">)</span>  <span class="c1"># &#39;ELEMENT FIELD&#39;</span>
</pre></div>
</div>
<p>which will produce an output that may be translated as
“ELEMENT FIELD AT THE GAUSS POINTS”.</p>
</li>
</ul>
</li>
<li><p>for a result (<code class="docutils literal notranslate"><span class="pre">resultat</span></code>):</p>
<ul>
<li><p>for a nodal result field (<code class="docutils literal notranslate"><span class="pre">cham_no</span></code>):</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">SOUS_TITRE</span> <span class="o">=</span> <span class="p">(</span><span class="s1">&#39;CHAMP AUX NOEUDS DE NOM SYMBOLIQUE &amp;NOM_SYMB(Resultat cham_no) &amp;RL</span>
               <span class="n">NUMERO</span> <span class="n">D</span><span class="o">-</span><span class="n">ORDRE</span> <span class="o">&amp;</span><span class="n">NUM_ORDRE</span><span class="p">(</span><span class="n">Resultat</span> <span class="n">cham_no</span><span class="p">)</span> <span class="o">&amp;</span><span class="n">ACCES</span><span class="p">(</span><span class="n">Resultat</span> <span class="n">cham_no</span><span class="p">)</span><span class="s1">&#39;)</span>
</pre></div>
</div>
<p>which prints (translation):</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">FIELD</span> <span class="n">WITH</span> <span class="n">THE</span> <span class="n">NODES</span> <span class="n">OF</span> <span class="n">REFERENCE</span> <span class="n">SYMBOL</span> <span class="n">DEPL</span>
<span class="n">SEQUENCE</span> <span class="n">NUMBER</span><span class="p">:</span> <span class="mi">2</span> <span class="n">NUME_MODE</span><span class="p">:</span> <span class="mi">3</span>
<span class="n">FREQ</span><span class="p">:</span> <span class="mf">5.52739E+00</span>
</pre></div>
</div>
</li>
<li><p>for an element result field (<code class="docutils literal notranslate"><span class="pre">cham_elem</span></code>):</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">SOUS_TITRE</span> <span class="o">=</span> <span class="p">(</span><span class="s1">&#39;CHAMP PAR ELEMENT &amp;LOC(Resultat cham_elem) DE NOM SYMBOLIQUE</span>
               <span class="o">&amp;</span><span class="n">NOM_SYMB</span><span class="p">(</span><span class="n">Resultat</span> <span class="n">cham_no</span><span class="p">)</span> <span class="o">&amp;</span><span class="n">RL</span>
               <span class="n">NUMERO</span> <span class="n">D</span><span class="o">-</span><span class="n">ORDRE</span> <span class="o">&amp;</span><span class="n">NUM_ORDRE</span><span class="p">(</span><span class="n">Resultat</span> <span class="n">cham_no</span><span class="p">)</span> <span class="o">&amp;</span><span class="n">ACCES</span><span class="p">(</span><span class="n">Resultat</span> <span class="n">cham_no</span><span class="p">)</span><span class="s1">&#39;)</span>
</pre></div>
</div>
<p>which prints (translation):</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">FIELD</span> <span class="n">BY</span> <span class="n">ELEMENT</span> <span class="n">WITH</span> <span class="n">THE</span> <span class="n">NODES</span> <span class="n">OF</span> <span class="n">REFERENCE</span> <span class="n">SYMBOL</span>
<span class="n">EPSI_ELNO</span> <span class="n">SEQUENCE</span> <span class="n">NUMBER</span><span class="p">:</span> <span class="mi">1</span>
<span class="n">INST</span><span class="p">:</span> <span class="mf">0.00000E+00</span>
</pre></div>
</div>
</li>
</ul>
</li>
</ul>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<form action="../../search.html" method="get">
  <input class='c-searchbox' type="text" name="q" placeholder="Search" />
  <input type="hidden" name="check_keywords" value="yes" />
  <input type="hidden" name="area" value="default" />
</form><div>
   <h3>Quick search</h3>
   <script async src="https://cse.google.com/cse.js?cx=1913d02e421931d61"></script>
   <div class="gcse-search"></div>
</div><h3>On this page</h3>
<ul>
<li><a class="reference internal" href="#">6.28. <strong>[U4.91.01]</strong> : Procedure <code class="docutils literal notranslate"><span class="pre">IMPR_RESU</span> <span class="pre">(FORMAT</span> <span class="pre">=</span> <span class="pre">'RESULTAT'</span> <span class="pre">or</span> <span class="pre">'ASTER')</span></code></a><ul>
<li><a class="reference internal" href="#purpose">6.28.1. Purpose</a></li>
<li><a class="reference internal" href="#syntax">6.28.2. Syntax</a></li>
<li><a class="reference internal" href="#typography-in-the-impr-resu-documentation">6.28.3. Typography in the <code class="docutils literal notranslate"><span class="pre">IMPR_RESU</span></code> documentation</a></li>
<li><a class="reference internal" href="#operands-format-proc0-unite-and-info">6.28.4. Operands <code class="docutils literal notranslate"><span class="pre">FORMAT</span></code>, <code class="docutils literal notranslate"><span class="pre">PROC0</span></code>, <code class="docutils literal notranslate"><span class="pre">UNITE</span></code> and <code class="docutils literal notranslate"><span class="pre">INFO</span></code></a></li>
<li><a class="reference internal" href="#keyword-resu">6.28.5. Keyword <code class="docutils literal notranslate"><span class="pre">RESU</span></code></a></li>
<li><a class="reference internal" href="#operands-cham-gd-and-resultat">6.28.6. Operands <code class="docutils literal notranslate"><span class="pre">CHAM_GD</span></code> and <code class="docutils literal notranslate"><span class="pre">RESULTAT</span></code></a></li>
<li><a class="reference internal" href="#extraction-of-a-magnitude-field">6.28.7. Extraction of a magnitude-field</a><ul>
<li><a class="reference internal" href="#operands-tout-cham-nom-cham">6.28.7.1. Operands <code class="docutils literal notranslate"><span class="pre">TOUT_CHAM</span></code> / <code class="docutils literal notranslate"><span class="pre">NOM_CHAM</span></code></a></li>
<li><a class="reference internal" href="#other-operands">6.28.7.2. Other operands</a></li>
</ul>
</li>
<li><a class="reference internal" href="#parameters">6.28.8. Parameters</a><ul>
<li><a class="reference internal" href="#operand-tout-para">6.28.8.1. Operand <code class="docutils literal notranslate"><span class="pre">TOUT_PARA</span></code></a></li>
<li><a class="reference internal" href="#operand-nom-para">6.28.8.2. Operand <code class="docutils literal notranslate"><span class="pre">NOM_PARA</span></code></a></li>
<li><a class="reference internal" href="#operand-form-tabl">6.28.8.3. Operand <code class="docutils literal notranslate"><span class="pre">FORM_TABL</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#selecting-components">6.28.9. Selecting components</a><ul>
<li><a class="reference internal" href="#operand-tout-cmp">6.28.9.1. Operand <code class="docutils literal notranslate"><span class="pre">TOUT_CMP</span></code></a></li>
<li><a class="reference internal" href="#operand-nom-cmp">6.28.9.2. Operand <code class="docutils literal notranslate"><span class="pre">NOM_CMP</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#selection-of-topological-entities">6.28.10. Selection of topological entities</a><ul>
<li><a class="reference internal" href="#operand-tout">6.28.10.1. Operand <code class="docutils literal notranslate"><span class="pre">TOUT</span></code></a></li>
<li><a class="reference internal" href="#operand-group-no">6.28.10.2. Operand <code class="docutils literal notranslate"><span class="pre">GROUP_NO</span></code></a></li>
<li><a class="reference internal" href="#operand-group-ma">6.28.10.3. Operand <code class="docutils literal notranslate"><span class="pre">GROUP_MA</span></code></a></li>
<li><a class="reference internal" href="#selection-based-on-values">6.28.10.4. Selection based on values</a></li>
<li><a class="reference internal" href="#operand-vale-max">6.28.10.5. Operand <code class="docutils literal notranslate"><span class="pre">VALE_MAX</span></code></a></li>
<li><a class="reference internal" href="#operand-vale-min">6.28.10.6. Operand <code class="docutils literal notranslate"><span class="pre">VALE_MIN</span></code></a></li>
<li><a class="reference internal" href="#operand-borne-sup">6.28.10.7. Operand <code class="docutils literal notranslate"><span class="pre">BORNE_SUP</span></code></a></li>
<li><a class="reference internal" href="#operand-borne-inf">6.28.10.8. Operand <code class="docutils literal notranslate"><span class="pre">BORNE_INF</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#printing-the-coordinates-operand-impr-coor">6.28.11. Printing the coordinates: operand <code class="docutils literal notranslate"><span class="pre">IMPR_COOR</span></code></a></li>
<li><a class="reference internal" href="#operand-format-r">6.28.12. Operand <code class="docutils literal notranslate"><span class="pre">FORMAT_R</span></code></a></li>
<li><a class="reference internal" href="#note-concerning-fields-with-subgrid-points">6.28.13. Note concerning fields with subgrid points</a></li>
<li><a class="reference internal" href="#printing-the-mesh-operands-maillage-modele">6.28.14. Printing the mesh: operands <code class="docutils literal notranslate"><span class="pre">MAILLAGE</span></code> / <code class="docutils literal notranslate"><span class="pre">MODELE</span></code></a></li>
<li><a class="reference internal" href="#operand-sous-titre">6.28.15. Operand <code class="docutils literal notranslate"><span class="pre">SOUS_TITRE</span></code></a></li>
</ul>
</li>
</ul>


        </div>
      </div>
      <div class="clearer"></div>
    </div>
<footer class="footer">
  <p class="pull-right">
    <a href="../../_sources/docs/user/u4.91.01.rst.txt"
       rel="nofollow">Page Source</a> &nbsp;
    <a href="#">Back to Top</a></p>
  <p>
  </p>
  <p>
    Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 3.5.1. Page design is based on <a href="https://project.lsst.org">LSST</a> created modifications of Astropy's bootstrap-astropy theme in <a href="https://github.com/astropy/astropy-helpers">astropy-helpers</a>. <br />
  </p>
  <p>
    &copy; Copyright 2021, Biswajit Banerjee.  Original version &copy; Copyright 2019 EDF R&amp;D - Licensed under the terms of the GNU FDL (http://www.gnu.org/copyleft/fdl.html).<br/>
  </p>
</footer>
  </body>
</html>